import React from 'react';

export default function Tooltip({ position, data }) {
  return (
    <div className="tooltip" style={{ top: position.y, left: position.x }}>
      <div className="tooltip-content">
        <table>
          <tbody>
            <tr>
              <td>
                <strong>ID</strong>
              </td>
              <td>{data.id}</td>
            </tr>
            <tr>
              <td>
                <strong>Type</strong>
              </td>
              <td>
                <div
                  className="circle"
                  style={{ background: data.attributes.color }}
                ></div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  );
}
